Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.ontology
Interface EnumeratedClass

All Superinterfaces:
  FrontsNode, OntClass, OntResource, RDFNode, Resource

    public interface EnumeratedClass

extends OntClass

Encapsulates a class description representing a closed enumeration of individuals.

Version:
  CVS $Id: EnumeratedClass.java,v 1.18 2008/01/02 12:06:38 andy_seaborne Exp $
Author:
  Ian Dickinson, HP Labs (email)

Method Summary
`void` | `addOneOf(java.util.Iterator individuals)` Add each individual from the given iteratation to the enumeration that defines the class extension of this class.
`void` | `addOneOf(Resource res)` Add an individual to the enumeration that defines the class extension of this class.
`RDFList` | `getOneOf()` Answer a list of individuals that defines the extension of this class.
`boolean` | `hasOneOf(Resource res)` Answer true if the given individual is one of the enumerated individuals in the class extension of this class.
`ExtendedIterator` | `listOneOf()` Answer an iterator over all of the individuals that are declared to be the class extension for this class.
`void` | `removeOneOf(Resource res)` Remove the statement that this enumeration includes `res` among its members.
`void` | `setOneOf(RDFList en)` Assert that this class is exactly the enumeration of the given individuals.

Methods inherited from interface com.hp.hpl.jena.ontology.OntClass
`addDisjointWith, addEquivalentClass, addSubClass, addSuperClass, asComplementClass, asEnumeratedClass, asIntersectionClass, asRestriction, asUnionClass, convertToComplementClass, convertToEnumeratedClass, convertToIntersectionClass, convertToRestriction, convertToUnionClass, createIndividual, createIndividual, dropIndividual, getDisjointWith, getEquivalentClass, getSubClass, getSuperClass, hasDeclaredProperty, hasEquivalentClass, hasSubClass, hasSubClass, hasSubClass, hasSuperClass, hasSuperClass, hasSuperClass, isComplementClass, isDisjointWith, isEnumeratedClass, isHierarchyRoot, isIntersectionClass, isRestriction, isUnionClass, listDeclaredProperties, listDeclaredProperties, listDisjointWith, listEquivalentClasses, listInstances, listInstances, listSubClasses, listSubClasses, listSuperClasses, listSuperClasses, removeDisjointWith, removeEquivalentClass, removeSubClass, removeSuperClass, setDisjointWith, setEquivalentClass, setSubClass, setSuperClass`

Methods inherited from interface com.hp.hpl.jena.ontology.OntResource
`addComment, addComment, addDifferentFrom, addIsDefinedBy, addLabel, addLabel, addRDFType, addSameAs, addSeeAlso, addVersionInfo, asAllDifferent, asAnnotationProperty, asClass, asDataRange, asDatatypeProperty, asIndividual, asObjectProperty, asOntology, asProperty, getCardinality, getComment, getDifferentFrom, getIsDefinedBy, getLabel, getOntModel, getProfile, getPropertyValue, getRDFType, getRDFType, getSameAs, getSeeAlso, getVersionInfo, hasComment, hasComment, hasLabel, hasLabel, hasRDFType, hasRDFType, hasRDFType, hasSeeAlso, hasVersionInfo, isAllDifferent, isAnnotationProperty, isClass, isDataRange, isDatatypeProperty, isDefinedBy, isDifferentFrom, isIndividual, isObjectProperty, isOntLanguageTerm, isOntology, isProperty, isSameAs, listComments, listDifferentFrom, listIsDefinedBy, listLabels, listPropertyValues, listRDFTypes, listSameAs, listSeeAlso, listVersionInfo, remove, removeComment, removeComment, removeDefinedBy, removeDifferentFrom, removeLabel, removeLabel, removeProperty, removeRDFType, removeSameAs, removeSeeAlso, removeVersionInfo, setComment, setDifferentFrom, setIsDefinedBy, setLabel, setPropertyValue, setRDFType, setSameAs, setSeeAlso, setVersionInfo`

Methods inherited from interface com.hp.hpl.jena.rdf.model.Resource
`abort, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addProperty, addProperty, addProperty, addProperty, begin, commit, equals, getId, getLocalName, getModel, getNameSpace, getNode, getProperty, getRequiredProperty, getURI, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasProperty, hasProperty, hasProperty, hasProperty, hasURI, listProperties, listProperties, removeAll, removeProperties, toString`

Methods inherited from interface com.hp.hpl.jena.rdf.model.RDFNode
`as, canAs, inModel, isAnon, isLiteral, isResource, isURIResource, visitWith`

Methods inherited from interface com.hp.hpl.jena.graph.FrontsNode
`asNode`

Method Detail

### setOneOf

    void setOneOf(RDFList en)

  Assert that this class is exactly the enumeration of the given individuals. Any existing statements for `oneOf` will be removed.

  Parameters:
    `en` - A list of individuals that defines the class extension for this class
  Throws:
    `OntProfileException` - If the `Profile.ONE_OF()` property is not supported in the current language profile.

### addOneOf

    void addOneOf(Resource res)

  Add an individual to the enumeration that defines the class extension of this class.

  Parameters:
    `res` - An individual to add to the enumeration
  Throws:
    `OntProfileException` - If the `Profile.ONE_OF()` property is not supported in the current language profile.

### addOneOf

    void addOneOf(java.util.Iterator individuals)

  Add each individual from the given iteratation to the enumeration that defines the class extension of this class.

  Parameters:
    `individuals` - An iterator over individuals
  Throws:
    `OntProfileException` - If the `Profile.ONE_OF()` property is not supported in the current language profile.

### getOneOf

    RDFList getOneOf()

  Answer a list of individuals that defines the extension of this class.

  Returns:
    A list of individuals that is the class extension
  Throws:
    `OntProfileException` - If the `Profile.ONE_OF()` property is not supported in the current language profile.

### listOneOf

    ExtendedIterator listOneOf()

  Answer an iterator over all of the individuals that are declared to be the class extension for this class. Each element of the iterator will be an `OntResource`.

  Returns:
    An iterator over the individuals in the class extension
  Throws:
    `OntProfileException` - If the `Profile.ONE_OF()` property is not supported in the current language profile.

### hasOneOf

    boolean hasOneOf(Resource res)

  Answer true if the given individual is one of the enumerated individuals in the class extension of this class.

  Parameters:
    `res` - An individual to test
  Returns:
    True if the given individual is in the class extension for this class.
  Throws:
    `OntProfileException` - If the `Profile.ONE_OF()` property is not supported in the current language profile.

### removeOneOf

    void removeOneOf(Resource res)

  Remove the statement that this enumeration includes `res` among its members. If this statement is not true of the current model, nothing happens.

  Parameters:
    `res` - A resource that may be declared to be part of this enumeration, and which is no longer one of the enumeration values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP